import { OnChanges, AfterViewInit, SimpleChanges, ElementRef } from '@angular/core';
import { SafeStyle, DomSanitizer } from '@angular/platform-browser';
import { NgxInputLoaderConfig } from './ngx-input-loader.interface';
export declare class NgxInputLoaderDirective implements OnChanges, AfterViewInit {
    private el;
    private sanitizer;
    ngxInputLoader: Boolean;
    configElement: NgxInputLoaderConfig;
    background: SafeStyle;
    paddingRight: SafeStyle;
    paddingLeft: SafeStyle;
    private inserted;
    private element;
    private initialBackground;
    private initialPaddingRight;
    private initialPaddingLeft;
    /**
    |--------------------------------------------------
    | DEFAULT CONFIGURATION
    |--------------------------------------------------
    */
    private config;
    constructor(el: ElementRef, sanitizer: DomSanitizer, configModule: NgxInputLoaderConfig);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    setLoader(): void;
    getLoader(): string;
    setConfiguration(config: NgxInputLoaderConfig): void;
    padSubmitButton(): void;
    unpadSubmitButton(): void;
}
