(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/platform-browser'), require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('ngx-input-loader', ['exports', '@angular/platform-browser', '@angular/core'], factory) :
    (factory((global['ngx-input-loader'] = {}),global.ng.platformBrowser,global.ng.core));
}(this, (function (exports,platformBrowser,core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballBounce = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-ball\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <circle cx=\"50\" ng-attr-cy=\"{{config.cy}}\" ng-attr-r=\"{{config.radius}}\" ng-attr-fill=\"{{config.color}}\" cy=\"22.0442\" r=\"15\" fill=\"" + color + "\">\n        <animate attributeName=\"cy\" calcMode=\"spline\" values=\"20;80;20\" keyTimes=\"0;0.5;1\" dur=\"" + speed + "ms\" keySplines=\"0.45 0 0.9 0.55;0 0.45 0.55 0.9\" begin=\"0s\" repeatCount=\"indefinite\"></animate>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballEllipsis = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-ellipsis\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <circle cx=\"84\" cy=\"50\" r=\"1.8328\" fill=\"" + color + "\">\n        <animate attributeName=\"r\" values=\"10;0;0;0;0\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"0s\"></animate>\n        <animate attributeName=\"cx\" values=\"84;84;84;84;84\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"0s\"></animate>\n    </circle>\n    <circle cx=\"77.7685\" cy=\"50\" r=\"10\" fill=\"" + color + "\">\n        <animate attributeName=\"r\" values=\"0;10;10;10;0\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"-0.5s\"></animate>\n        <animate attributeName=\"cx\" values=\"16;16;50;84;84\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"-0.5s\"></animate>\n    </circle>\n    <circle cx=\"43.7685\" cy=\"50\" r=\"10\" fill=\"" + color + "\">\n        <animate attributeName=\"r\" values=\"0;10;10;10;0\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"-0.25s\"></animate>\n        <animate attributeName=\"cx\" values=\"16;16;50;84;84\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"-0.25s\"></animate>\n    </circle>\n    <circle cx=\"16\" cy=\"50\" r=\"8.1672\" fill=\"" + color + "\">\n        <animate attributeName=\"r\" values=\"0;10;10;10;0\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"0s\"></animate>\n        <animate attributeName=\"cx\" values=\"16;16;50;84;84\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"0s\"></animate>\n    </circle>\n    <circle cx=\"16\" cy=\"50\" r=\"0\" fill=\"" + color + "\">\n        <animate attributeName=\"r\" values=\"0;0;10;10;10\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"0s\"></animate>\n        <animate attributeName=\"cx\" values=\"16;16;16;50;84\" keyTimes=\"0;0.25;0.5;0.75;1\" keySplines=\"0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1;0 0.5 0.5 1\" calcMode=\"spline\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\" begin=\"0s\"></animate>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballFadingShrink = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <circle cx=\"16\" cy=\"64\" r=\"16\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"14.344\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(45 64 64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"12.531\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(90 64 64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"10.75\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(135 64 64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"10.063\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(180 64 64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"8.063\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(225 64 64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"6.438\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(270 64 64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"5.375\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(315 64 64)\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;315 64 64;270 64 64;225 64 64;180 64 64;135 64 64;90 64 64;45 64 64\" calcMode=\"discrete\" dur=\"" + .72 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballFading = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <circle cx=\"16\" cy=\"64\" r=\"16\" fill=\"" + color + "\" fill-opacity=\"" + 1 * opacity + "\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"16\" fill=\"" + color + "\" fill-opacity=\"" + 0.67 * opacity + "\" transform=\"rotate(45,64,64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"16\" fill=\"" + color + "\" fill-opacity=\"" + 0.42 * opacity + "\" transform=\"rotate(90,64,64)\"/>\n        <circle cx=\"16\" cy=\"64\" r=\"16\" fill=\"" + color + "\" fill-opacity=\"" + 0.2 * opacity + "\" transform=\"rotate(135,64,64)\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;315 64 64;270 64 64;225 64 64;180 64 64;135 64 64;90 64 64;45 64 64\" calcMode=\"discrete\" dur=\"" + .72 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballFountainFading = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 457 60\" xml:space=\"preserve\">\n    <g>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"-31\" cy=\"30\" r=\"30\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.8 * opacity + "\" cx=\"-97\" cy=\"30\" r=\"24\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.61 * opacity + "\" cx=\"-163\" cy=\"30\" r=\"19\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.22 * opacity + "\" cx=\"-229.5\" cy=\"30.5\" r=\"13.5\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.12 * opacity + "\" cx=\"-295\" cy=\"31\" r=\"11\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"61 0;127 0;193 0;259 0;325 0;391 0;457 0;523 0;589 0;655 0;721 0;787 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;\" calcMode=\"discrete\" dur=\"" + 1.44 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n    <g>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"488\" cy=\"30\" r=\"30\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.8 * opacity + "\" cx=\"554\" cy=\"30\" r=\"24\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.61 * opacity + "\" cx=\"620\" cy=\"30\" r=\"19\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.22 * opacity + "\" cx=\"686.5\" cy=\"30.5\" r=\"13.5\"/>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + 0.12 * opacity + "\" cx=\"753\" cy=\"31\" r=\"11\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;-61 0;-127 0;-193 0;-259 0;-325 0;-391 0;-457 0;-523 0;-589 0;-655 0;-721 0;-787 0;\" calcMode=\"discrete\" dur=\"" + 1.44 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballFountain = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 16\" xml:space=\"preserve\">\n    <path fill=\"" + color + "\" fill-opacity=\"" + 0.42 * opacity + "\" d=\"M6.4,4.8A3.2,3.2,0,1,1,3.2,8,3.2,3.2,0,0,1,6.4,4.8Zm12.8,0A3.2,3.2,0,1,1,16,8,3.2,3.2,0,0,1,19.2,4.8ZM32,4.8A3.2,3.2,0,1,1,28.8,8,3.2,3.2,0,0,1,32,4.8Zm12.8,0A3.2,3.2,0,1,1,41.6,8,3.2,3.2,0,0,1,44.8,4.8Zm12.8,0A3.2,3.2,0,1,1,54.4,8,3.2,3.2,0,0,1,57.6,4.8Zm12.8,0A3.2,3.2,0,1,1,67.2,8,3.2,3.2,0,0,1,70.4,4.8Zm12.8,0A3.2,3.2,0,1,1,80,8,3.2,3.2,0,0,1,83.2,4.8ZM96,4.8A3.2,3.2,0,1,1,92.8,8,3.2,3.2,0,0,1,96,4.8Zm12.8,0A3.2,3.2,0,1,1,105.6,8,3.2,3.2,0,0,1,108.8,4.8Zm12.8,0A3.2,3.2,0,1,1,118.4,8,3.2,3.2,0,0,1,121.6,4.8Z\"/>\n    <g>\n        <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" d=\"M-42.7,3.84A4.16,4.16,0,0,1-38.54,8a4.16,4.16,0,0,1-4.16,4.16A4.16,4.16,0,0,1-46.86,8,4.16,4.16,0,0,1-42.7,3.84Zm12.8-.64A4.8,4.8,0,0,1-25.1,8a4.8,4.8,0,0,1-4.8,4.8A4.8,4.8,0,0,1-34.7,8,4.8,4.8,0,0,1-29.9,3.2Zm12.8-.64A5.44,5.44,0,0,1-11.66,8a5.44,5.44,0,0,1-5.44,5.44A5.44,5.44,0,0,1-22.54,8,5.44,5.44,0,0,1-17.1,2.56Z\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"23 0;36 0;49 0;62 0;74.5 0;87.5 0;100 0;113 0;125.5 0;138.5 0;151.5 0;164.5 0;178 0\" calcMode=\"discrete\" dur=\"" + 1.17 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n</svg>\n"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballInterwind = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-ball2\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <g ng-attr-transform=\"translate(0,{{config.dy}})\" transform=\"translate(0,-7.5)\">\n        <circle cx=\"50\" ng-attr-cy=\"{{config.cy}}\" r=\"11.1783\" ng-attr-fill=\"{{config.c1}}\" cy=\"41\" fill=\"" + color + "\" transform=\"rotate(233.904 50 50)\">\n            <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 50;360 50 50\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n            <animate attributeName=\"r\" calcMode=\"spline\" values=\"0;15;0\" keyTimes=\"0;0.5;1\" dur=\"" + speed + "ms\" keySplines=\"0.2 0 0.8 1;0.2 0 0.8 1\" begin=\"0s\" repeatCount=\"indefinite\"></animate>\n        </circle>\n        <circle cx=\"50\" ng-attr-cy=\"{{config.cy}}\" r=\"3.82173\" ng-attr-fill=\"{{config.c2}}\" cy=\"41\" fill=\"" + color + "\" transform=\"rotate(413.904 50 50)\">\n            <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"180 50 50;540 50 50\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n            <animate attributeName=\"r\" calcMode=\"spline\" values=\"15;0;15\" keyTimes=\"0;0.5;1\" dur=\"" + speed + "ms\" keySplines=\"0.2 0 0.8 1;0.2 0 0.8 1\" begin=\"0s\" repeatCount=\"indefinite\"></animate>\n        </circle>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballMini = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M64 0a7 7 0 1 1-7 7 7 7 0 0 1 7-7zm29.86 12.2a2.8 2.8 0 1 1-3.83 1.02 2.8 2.8 0 0 1 3.83-1.02zm22.16 21.68a3.15 3.15 0 1 1-4.3-1.15 3.15 3.15 0 0 1 4.3 1.15zm.87 60.53a4.2 4.2 0 1 1-1.57-5.7 4.2 4.2 0 0 1 1.54 5.73zm7.8-30.5a3.85 3.85 0 1 1-3.85-3.85 3.85 3.85 0 0 1 3.85 3.84zm-30 53.2a4.55 4.55 0 1 1 1.66-6.23 4.55 4.55 0 0 1-1.67 6.22zM64 125.9a4.9 4.9 0 1 1 4.9-4.9 4.9 4.9 0 0 1-4.9 4.9zm-31.06-8.22a5.25 5.25 0 1 1 7.17-1.93 5.25 5.25 0 0 1-7.14 1.93zM9.9 95.1a5.6 5.6 0 1 1 7.65 2.06A5.6 5.6 0 0 1 9.9 95.1zM1.18 63.9a5.95 5.95 0 1 1 5.95 5.94 5.95 5.95 0 0 1-5.96-5.94zm8.1-31.6a6.3 6.3 0 1 1 2.32 8.6 6.3 6.3 0 0 1-2.3-8.6zM32.25 8.87a6.65 6.65 0 1 1-2.44 9.1 6.65 6.65 0 0 1 2.46-9.1z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;30 64 64;60 64 64;90 64 64;120 64 64;150 64 64;180 64 64;210 64 64;240 64 64;270 64 64;300 64 64;330 64 64\" calcMode=\"discrete\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballLine = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 512 47\" xml:space=\"preserve\">\n    <g>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"-14.781\" cy=\"22.328\" r=\"12.813\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"88 0;182 0;251 0;298 0;321 0;323.33 0;325.66 0;327.99 0;330.32 0;332.65 0;334.98 0;337.31 0;339.64 0;341.97 0;344.3 0;346.63 0;348.96 0;351.29 0;353.62 0;356 0;379 0;426 0;494 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0;542 0\" dur=\"" + 3.33 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n    <g>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"-50.328\" cy=\"22.328\" r=\"12.797\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"0 0;0 0;0 0;0 0;0 0;88 0;182 0;251 0;298 0;321 0;323.33 0;325.66 0;327.99 0;330.32 0;332.65 0;334.98 0;337.31 0;339.64 0;341.97 0;344.3 0;346.63 0;348.96 0;351.29 0;353.62 0;356 0;406 0;452 0;522 0;577 0;577 0;577 0;577 0;577 0;577 0;577 0;577 0;577 0;577 0\" dur=\"" + 3.33 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n    <g>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"-87.203\" cy=\"22.328\" r=\"12.797\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;88 0;182 0;251 0;298 0;321 0;323.33 0;325.66 0;327.99 0;330.32 0;332.65 0;334.98 0;337.31 0;339.64 0;341.97 0;344.3 0;346.63 0;348.96 0;351.29 0;353.62 0;356 0;403 0;450 0;520 0;614 0;614 0;614 0;614 0;614 0;614 0\" dur=\"" + 3.33 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n    <g>\n        <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"-125.234\" cy=\"22.328\" r=\"12.797\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" values=\"0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;0 0;88 0;182 0;251 0;298 0;321 0;323.33 0;325.66 0;327.99 0;330.32 0;332.65 0;334.98 0;337.31 0;339.64 0;341.97 0;344.3 0;346.63 0;348.96 0;351.29 0;353.62 0;356 0;402 0;448 0;518 0;611 0\" dur=\"" + 3.33 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n</svg>\n"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballPlanets = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <circle cx=\"64\" cy=\"64\" r=\"12\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n    <g>\n        <circle cx=\"108.5\" cy=\"89.75\" r=\"12.5\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <circle cx=\"108.5\" cy=\"89.75\" r=\"12.5\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(180 64 64)\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"180 64 64\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballSpinnerDouble = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <circle cx=\"108.5\" cy=\"89.75\" r=\"12.5\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <circle cx=\"108.5\" cy=\"89.75\" r=\"12.5\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" transform=\"rotate(180 64 64)\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"180 64 64\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballSpinner = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <circle cx=\"108.5\" cy=\"89.75\" r=\"12.5\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"360 64 64\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ballTriangle = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 57 57\" \n    xmlns=\"http://www.w3.org/2000/svg\" opacity=\"" + opacity + "\">\n    <g fill=\"none\" fill-rule=\"evenodd\">\n        <g transform=\"translate(1 1)\">\n            <circle cx=\"5\" cy=\"50\" r=\"5\" fill=\"" + color + "\">\n                <animate attributeName=\"cy\" begin=\"0s\" dur=\"" + 2.2 * speed + "ms\" values=\"50;5;50;50\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n                <animate attributeName=\"cx\" begin=\"0s\" dur=\"" + 2.2 * speed + "ms\" values=\"5;27;49;5\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"27\" cy=\"5\" r=\"5\" fill=\"" + color + "\">\n                <animate attributeName=\"cy\" begin=\"0s\" dur=\"" + 2.2 * speed + "ms\" from=\"5\" to=\"5\" values=\"5;50;50;5\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n                <animate attributeName=\"cx\" begin=\"0s\" dur=\"" + 2.2 * speed + "ms\" from=\"27\" to=\"27\" values=\"27;49;5;27\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"49\" cy=\"50\" r=\"5\" fill=\"" + color + "\">\n                <animate attributeName=\"cy\" begin=\"0s\" dur=\"" + 2.2 * speed + "ms\" values=\"50;50;5;50\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n                <animate attributeName=\"cx\" from=\"49\" to=\"49\" begin=\"0s\" dur=\"" + 2.2 * speed + "ms\" values=\"49;5;27;49\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n        </g>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var barsTrespassing = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 16\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M-22.949-5.576l4.525,4.525L-41.051,21.576l-4.525-4.525Zm19.2,0L0.776-1.051-21.851,21.576l-4.526-4.525Zm19.2,0,4.525,4.525L-2.651,21.576l-4.525-4.525Zm19.2,0,4.525,4.525L16.549,21.576l-4.525-4.525Zm19.2,0,4.525,4.525L35.749,21.576l-4.526-4.525Zm38.4,0,4.525,4.525L74.149,21.576l-4.525-4.525Zm-19.2,0,4.525,4.525L54.949,21.576l-4.526-4.525Zm38.4,0,4.525,4.525L93.349,21.576l-4.526-4.525Zm19.2,0,4.525,4.525L112.549,21.576l-4.525-4.525Zm19.2,0,4.525,4.525L131.749,21.576l-4.525-4.525Z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"translate\" from=\"0 0\" to=\"-19 0\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"/>\n    </g>\n</svg>\n"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var barsMusic = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 55 80\" xmlns=\"http://www.w3.org/2000/svg\" fill=\"" + color + "\" opacity=\"" + opacity + "\">\n<g transform=\"matrix(1 0 0 -1 0 80)\">\n    <rect width=\"10\" height=\"20\" rx=\"3\">\n        <animate attributeName=\"height\"\n             begin=\"0s\" dur=\"" + 4.3 * speed + "ms\"\n             values=\"20;45;57;80;64;32;66;45;64;23;66;13;64;56;34;34;2;23;76;79;20\" calcMode=\"linear\"\n             repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"15\" width=\"10\" height=\"80\" rx=\"3\">\n        <animate attributeName=\"height\"\n             begin=\"0s\" dur=\"" + 2 * speed + "ms\"\n             values=\"80;55;33;5;75;23;73;33;12;14;60;80\" calcMode=\"linear\"\n             repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"30\" width=\"10\" height=\"50\" rx=\"3\">\n        <animate attributeName=\"height\"\n             begin=\"0s\" dur=\"" + 1.4 * speed + "ms\"\n             values=\"50;34;78;23;56;23;34;76;80;54;21;50\" calcMode=\"linear\"\n             repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"45\" width=\"10\" height=\"30\" rx=\"3\">\n        <animate attributeName=\"height\"\n             begin=\"0s\" dur=\"" + 2 * speed + "ms\"\n             values=\"30;45;13;80;56;72;45;76;34;23;67;30\" calcMode=\"linear\"\n             repeatCount=\"indefinite\" />\n    </rect>\n</g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var bars = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 135 140\" \n    xmlns=\"http://www.w3.org/2000/svg\" fill=\"" + color + "\" opacity=\"" + opacity + "\">\n    <rect y=\"10\" width=\"15\" height=\"120\" rx=\"6\">\n        <animate attributeName=\"height\" begin=\"" + 0.5 * speed + "ms\" dur=\"" + speed + "ms\" values=\"120;110;100;90;80;70;60;50;40;140;120\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"y\" begin=\"" + 0.5 * speed + "ms\" dur=\"" + speed + "ms\" values=\"10;15;20;25;30;35;40;45;50;0;10\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"30\" y=\"10\" width=\"15\" height=\"120\" rx=\"6\">\n        <animate attributeName=\"height\" begin=\"" + 0.25 * speed + "ms\" dur=\"" + speed + "ms\" values=\"120;110;100;90;80;70;60;50;40;140;120\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"y\" begin=\"" + 0.25 * speed + "ms\" dur=\"" + speed + "ms\" values=\"10;15;20;25;30;35;40;45;50;0;10\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"60\" width=\"15\" height=\"140\" rx=\"6\">\n        <animate attributeName=\"height\" begin=\"0s\" dur=\"" + speed + "ms\" values=\"120;110;100;90;80;70;60;50;40;140;120\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"y\" begin=\"0s\" dur=\"" + speed + "ms\" values=\"10;15;20;25;30;35;40;45;50;0;10\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"90\" y=\"10\" width=\"15\" height=\"120\" rx=\"6\">\n        <animate attributeName=\"height\" begin=\"" + 0.25 * speed + "ms\" dur=\"" + speed + "ms\" values=\"120;110;100;90;80;70;60;50;40;140;120\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"y\" begin=\"" + 0.25 * speed + "ms\" dur=\"" + speed + "ms\" values=\"10;15;20;25;30;35;40;45;50;0;10\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </rect>\n    <rect x=\"120\" y=\"10\" width=\"15\" height=\"120\" rx=\"6\">\n        <animate attributeName=\"height\" begin=\"" + 0.5 * speed + "ms\" dur=\"" + speed + "ms\" values=\"120;110;100;90;80;70;60;50;40;140;120\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"y\" begin=\"" + 0.5 * speed + "ms\" dur=\"" + speed + "ms\" values=\"10;15;20;25;30;35;40;45;50;0;10\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </rect>\n</svg>\n"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var circlesSpinner = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 58 58\" \n    xmlns=\"http://www.w3.org/2000/svg\" opacity=\"" + opacity + "\">\n    <g fill=\"none\" fill-rule=\"evenodd\">\n        <g transform=\"translate(2 1)\" stroke=\"" + color + "\" stroke-width=\"1.5\">\n            <circle cx=\"42.601\" cy=\"11.462\" r=\"5\" fill-opacity=\"1\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"1;0;0;0;0;0;0;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"49.063\" cy=\"27.063\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;1;0;0;0;0;0;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"42.601\" cy=\"42.663\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;0;1;0;0;0;0;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"27\" cy=\"49.125\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;0;0;1;0;0;0;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"11.399\" cy=\"42.663\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;0;0;0;1;0;0;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"4.938\" cy=\"27.063\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;0;0;0;0;1;0;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"11.399\" cy=\"11.462\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;0;0;0;0;0;1;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n            <circle cx=\"27\" cy=\"5\" r=\"5\" fill-opacity=\"0\" fill=\"" + color + "\">\n                <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + 1.3 * speed + "ms\" values=\"0;0;0;0;0;0;0;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            </circle>\n        </g>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var circles = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 135 135\" \n    xmlns=\"http://www.w3.org/2000/svg\" fill=\"" + color + "\" opacity=\"" + opacity + "\">\n    <path d=\"M67.447 58c5.523 0 10-4.477 10-10s-4.477-10-10-10-10 4.477-10 10 4.477 10 10 10zm9.448 9.447c0 5.523 4.477 10 10 10 5.522 0 10-4.477 10-10s-4.478-10-10-10c-5.523 0-10 4.477-10 10zm-9.448 9.448c-5.523 0-10 4.477-10 10 0 5.522 4.477 10 10 10s10-4.478 10-10c0-5.523-4.477-10-10-10zM58 67.447c0-5.523-4.477-10-10-10s-10 4.477-10 10 4.477 10 10 10 10-4.477 10-10z\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 67 67\" to=\"-360 67 67\" dur=\"" + 2.5 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </path>\n    <path d=\"M28.19 40.31c6.627 0 12-5.374 12-12 0-6.628-5.373-12-12-12-6.628 0-12 5.372-12 12 0 6.626 5.372 12 12 12zm30.72-19.825c4.686 4.687 12.284 4.687 16.97 0 4.686-4.686 4.686-12.284 0-16.97-4.686-4.687-12.284-4.687-16.97 0-4.687 4.686-4.687 12.284 0 16.97zm35.74 7.705c0 6.627 5.37 12 12 12 6.626 0 12-5.373 12-12 0-6.628-5.374-12-12-12-6.63 0-12 5.372-12 12zm19.822 30.72c-4.686 4.686-4.686 12.284 0 16.97 4.687 4.686 12.285 4.686 16.97 0 4.687-4.686 4.687-12.284 0-16.97-4.685-4.687-12.283-4.687-16.97 0zm-7.704 35.74c-6.627 0-12 5.37-12 12 0 6.626 5.373 12 12 12s12-5.374 12-12c0-6.63-5.373-12-12-12zm-30.72 19.822c-4.686-4.686-12.284-4.686-16.97 0-4.686 4.687-4.686 12.285 0 16.97 4.686 4.687 12.284 4.687 16.97 0 4.687-4.685 4.687-12.283 0-16.97zm-35.74-7.704c0-6.627-5.372-12-12-12-6.626 0-12 5.373-12 12s5.374 12 12 12c6.628 0 12-5.373 12-12zm-19.823-30.72c4.687-4.686 4.687-12.284 0-16.97-4.686-4.686-12.284-4.686-16.97 0-4.687 4.686-4.687 12.284 0 16.97 4.686 4.687 12.284 4.687 16.97 0z\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 67 67\" to=\"360 67 67\" dur=\"" + 8 * speed + "ms\" repeatCount=\"indefinite\"/>\n    </path>\n</svg>\n"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var clock = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M63.88 0A63.88 63.88 0 1 1 0 63.88 63.88 63.88 0 0 1 63.88 0zm0 11.88a52 52 0 1 1-52 52 52 52 0 0 1 52-52zm0 46.2a5.8 5.8 0 1 1-5.8 5.8 5.8 5.8 0 0 1 5.8-5.8z\" fill-rule=\"evenodd\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <path d=\"M58.25 5h11.3v59h-11.3V5z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"360 64 64\" dur=\"" + 1.62 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var dotsTriple = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 120 30\" \n    xmlns=\"http://www.w3.org/2000/svg\" fill=\"" + color + "\" opacity=\"" + opacity + "\">\n    <circle cx=\"15\" cy=\"15\" r=\"15\">\n        <animate attributeName=\"r\" from=\"15\" to=\"15\" begin=\"0s\" dur=\"" + 0.8 * speed + "ms\" values=\"15;9;15\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"fill-opacity\" from=\"1\" to=\"1\" begin=\"0s\" dur=\"" + 0.8 * speed + "ms\" values=\"1;.5;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"60\" cy=\"15\" r=\"9\" fill-opacity=\"0.3\">\n        <animate attributeName=\"r\" from=\"9\" to=\"9\" begin=\"0s\" dur=\"" + 0.8 * speed + "ms\" values=\"9;15;9\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"fill-opacity\" from=\"0.5\" to=\"0.5\" begin=\"0s\" dur=\"" + 0.8 * speed + "ms\" values=\".5;1;.5\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"105\" cy=\"15\" r=\"15\">\n        <animate attributeName=\"r\" from=\"15\" to=\"15\" begin=\"0s\" dur=\"" + 0.8 * speed + "ms\" values=\"15;9;15\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        <animate attributeName=\"fill-opacity\" from=\"1\" to=\"1\" begin=\"0s\" dur=\"" + 0.8 * speed + "ms\" values=\"1;.5;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var dropsFading = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.03 * opacity + "\" transform=\"rotate(30 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.09 * opacity + "\" transform=\"rotate(60 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.17 * opacity + "\" transform=\"rotate(90 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.25 * opacity + "\" transform=\"rotate(120 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.35 * opacity + "\" transform=\"rotate(150 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.44 * opacity + "\" transform=\"rotate(180 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.55 * opacity + "\" transform=\"rotate(210 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.65 * opacity + "\" transform=\"rotate(240 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.75 * opacity + "\" transform=\"rotate(270 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.84 * opacity + "\" transform=\"rotate(300 64 64)\"/>\n        <path d=\"M64 0a8 8 0 0 1 8 8c0 4.42-8 25.5-8 25.5S56 12.42 56 8a8 8 0 0 1 8-8z\" fill=\"" + color + "\" fill-opacity=\"" + 0.92 * opacity + "\" transform=\"rotate(330 64 64)\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;30 64 64;60 64 64;90 64 64;120 64 64;150 64 64;180 64 64;210 64 64;240 64 64;270 64 64;300 64 64;330 64 64\" calcMode=\"discrete\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var eclipse = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-eclipse\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <path ng-attr-d=\"{{config.pathCmd}}\" ng-attr-fill=\"{{config.color}}\" stroke=\"none\" d=\"M10 50A40 40 0 0 0 90 50A40 45 0 0 1 10 50\" fill=\"" + color + "\" transform=\"rotate(53.5946 50 52.5)\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 52.5;360 50 52.5\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n    </path>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var flickr = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-flickr\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <circle ng-attr-cx=\"{{config.cx1}}\" cy=\"50\" ng-attr-fill=\"{{config.c1}}\" ng-attr-r=\"{{config.radius}}\" cx=\"65.9714\" fill=\"" + color + "\" r=\"20\">\n        <animate attributeName=\"cx\" calcMode=\"linear\" values=\"30;70;30\" keyTimes=\"0;0.5;1\" dur=\"" + speed + "ms\" begin=\"-" + 0.5 * speed + "ms\" repeatCount=\"indefinite\"></animate>\n    </circle>\n    <circle ng-attr-cx=\"{{config.cx2}}\" cy=\"50\" ng-attr-fill=\"{{config.c2}}\" ng-attr-r=\"{{config.radius}}\" cx=\"34.0286\" fill=\"" + color + "\" r=\"20\">\n        <animate attributeName=\"cx\" calcMode=\"linear\" values=\"30;70;30\" keyTimes=\"0;0.5;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animate>\n    </circle>\n    <circle ng-attr-cx=\"{{config.cx1}}\" cy=\"50\" ng-attr-fill=\"{{config.c1}}\" ng-attr-r=\"{{config.radius}}\" cx=\"65.9714\" fill=\"" + color + "\" r=\"20\">\n        <animate attributeName=\"cx\" calcMode=\"linear\" values=\"30;70;30\" keyTimes=\"0;0.5;1\" dur=\"" + speed + "ms\" begin=\"-" + 0.5 * speed + "ms\" repeatCount=\"indefinite\"></animate>\n        <animate attributeName=\"fill-opacity\" values=\"0;0;1;1\" calcMode=\"discrete\" keyTimes=\"0;0.499;0.5;1\" ng-attr-dur=\"{{config.speed}}s\" repeatCount=\"indefinite\" dur=\"" + speed + "ms\"></animate>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var gear = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" d=\"M116.7 66.28a52.86 52.86 0 0 1-1 8.18l9.8 7.57-1.78 4.67-1.77 4.67-12.36-.82a52.87 52.87 0 0 1-4.7 6.7L110 108.5l-3.75 3.3-3.75 3.32L92 108.67a52.6 52.6 0 0 1-7.45 3.9l-.66 12.3-4.87 1.2-4.86 1.2-6.38-10.66q-1.9.2-3.88.2-2.15 0-4.25-.14l-6.3 10.64-4.84-1.2-4.85-1.2-.7-12.43a52.6 52.6 0 0 1-6.7-3.5l-10.6 6.64-3.75-3.3-3.76-3.3 5.05-11.4a52.88 52.88 0 0 1-4.73-6.73l-12.34.9-1.8-4.66-1.8-4.67 9.7-7.67a52.8 52.8 0 0 1-1-8.05l-11.4-5 .56-4.95.54-4.97 12.26-2.3a52.37 52.37 0 0 1 2.94-7.83L8.4 32l2.8-4.14 2.8-4.14 12 3.68a53.06 53.06 0 0 1 6-5.33L29.57 9.8l4.4-2.37 4.43-2.35 8.95 8.86a52.4 52.4 0 0 1 8-1.98L59 0h10l3.66 11.96a52.4 52.4 0 0 1 7.8 1.9L89.26 5l4.42 2.3 4.43 2.34-2.3 12.27a52.98 52.98 0 0 1 6.2 5.5l11.9-3.7 2.9 4.1 2.84 4.1-7.8 9.8a52.34 52.34 0 0 1 2.86 7.5l12.3 2.17.6 4.96.57 4.95zM41 64a23 23 0 1 0 23-23 23 23 0 0 0-23 23z\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"27.69 64 64\" dur=\"" + 0.5 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var grid = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 105 105\" \n    xmlns=\"http://www.w3.org/2000/svg\" fill=\"" + color + "\" opacity=\"" + opacity + "\">\n    <circle cx=\"12.5\" cy=\"12.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"0s\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"12.5\" cy=\"52.5\" r=\"12.5\" fill-opacity=\"" + .5 * opacity + "\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.1 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"52.5\" cy=\"12.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.3 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"52.5\" cy=\"52.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.6 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"92.5\" cy=\"12.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.8 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"92.5\" cy=\"52.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.4 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"12.5\" cy=\"92.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.7 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"52.5\" cy=\"92.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.5 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n    <circle cx=\"92.5\" cy=\"92.5\" r=\"12.5\">\n        <animate attributeName=\"fill-opacity\" begin=\"" + 0.2 * speed + "ms\" dur=\"" + speed + "ms\" values=\"1;.2;1\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n    </circle>\n</svg>\n"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var oval = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 38 38\" \n    xmlns=\"http://www.w3.org/2000/svg\" stroke=\"" + color + "\" opacity=\"" + opacity + "\">\n    <g fill=\"none\" fill-rule=\"evenodd\">\n        <g transform=\"translate(1 1)\" stroke-width=\"2\">\n            <circle stroke-opacity=\"" + .5 * opacity + "\" cx=\"18\" cy=\"18\" r=\"18\"/>\n            <path d=\"M36 18c0-9.94-8.06-18-18-18\">\n                <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 18 18\" to=\"360 18 18\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"/>\n            </path>\n        </g>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var pendulum = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" id=\"ball1\" class=\"cls-1\" d=\"M67.712,108.82a10.121,10.121,0,1,1-1.26,14.258A10.121,10.121,0,0,1,67.712,108.82Z\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;4 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </path>\n    <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" id=\"ball2\" class=\"cls-1\" d=\"M51.864,106.715a10.125,10.125,0,1,1-8.031,11.855A10.125,10.125,0,0,1,51.864,106.715Z\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;10 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;0 64 64;\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </path>\n    <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" id=\"ball3\" class=\"cls-1\" d=\"M33.649,97.646a10.121,10.121,0,1,1-11.872,8A10.121,10.121,0,0,1,33.649,97.646Z\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;20 64 64;40 64 64;65 64 64;85 64 64;100 64 64;120 64 64;140 64 64;160 64 64;185 64 64;215 64 64;255 64 64;300 64 64;\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </path>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ringBroken = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(45, 64, 64)\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(90, 64, 64)\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(135, 64, 64)\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(180, 64, 64)\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(225, 64, 64)\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(270, 64, 64)\"/>\n        <path d=\"M116.3 60.18a52.28 52.28 0 0 0-12.64-30.45l8.06-8.06a63.6 63.6 0 0 1 15.97 38.5h-11.4z\" fill=\"" + color + "\" fill-opacity=\"" + 0.39 * opacity + "\" transform=\"rotate(315, 64, 64)\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" values=\"0 64 64;45 64 64;90 64 64;135 64 64;180 64 64;225 64 64;270 64 64;315 64 64\" calcMode=\"discrete\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ringDouble = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-double-ring\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <circle cx=\"50\" cy=\"50\" ng-attr-r=\"{{config.radius}}\" ng-attr-stroke-width=\"{{config.width}}\" ng-attr-stroke=\"{{config.c1}}\" ng-attr-stroke-dasharray=\"{{config.dasharray}}\" fill=\"none\" stroke-linecap=\"round\" r=\"40\" stroke-width=\"5\" stroke=\"" + color + "\" stroke-dasharray=\"62.83185307179586 62.83185307179586\" transform=\"rotate(281.946 50 50)\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 50;360 50 50\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n    <circle cx=\"50\" cy=\"50\" ng-attr-r=\"{{config.radius2}}\" ng-attr-stroke-width=\"{{config.width}}\" ng-attr-stroke=\"{{config.c2}}\" ng-attr-stroke-dasharray=\"{{config.dasharray2}}\" ng-attr-stroke-dashoffset=\"{{config.dashoffset2}}\" fill=\"none\" stroke-linecap=\"round\" r=\"34\" stroke-width=\"5\" stroke=\"" + color + "\" stroke-dasharray=\"53.40707511102649 53.40707511102649\" stroke-dashoffset=\"53.40707511102649\" transform=\"rotate(-281.946 50 50)\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 50;-360 50 50\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ringDual = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-dual-ring\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <circle cx=\"50\" cy=\"50\" ng-attr-r=\"{{config.radius}}\" ng-attr-stroke-width=\"{{config.width}}\" ng-attr-stroke=\"{{config.stroke}}\" ng-attr-stroke-dasharray=\"{{config.dasharray}}\" fill=\"none\" stroke-linecap=\"round\" r=\"40\" stroke-width=\"5\" stroke=\"" + color + "\" stroke-dasharray=\"62.83185307179586 62.83185307179586\" transform=\"rotate(95.953 50 50)\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 50;360 50 50\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var rippleInbound = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 45 45\" \n    xmlns=\"http://www.w3.org/2000/svg\" stroke=\"" + color + "\" opacity=\"" + opacity + "\">\n    <g fill=\"none\" fill-rule=\"evenodd\" transform=\"translate(1 1)\" stroke-width=\"2\">\n        <circle cx=\"22\" cy=\"22\" r=\"6\" stroke-opacity=\"0\">\n            <animate attributeName=\"r\" begin=\"" + speed + "ms\" dur=\"" + 2 * speed + "ms\" values=\"6;22\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            <animate attributeName=\"stroke-opacity\" begin=\"" + speed + "ms\" dur=\"" + 2 * speed + "ms\" values=\"1;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            <animate attributeName=\"stroke-width\" begin=\"" + speed + "ms\" dur=\"" + 2 * speed + "ms\" values=\"2;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        </circle>\n        <circle cx=\"22\" cy=\"22\" r=\"6\" stroke-opacity=\"0\">\n            <animate attributeName=\"r\" begin=\"" + 2 * speed + "ms\" dur=\"" + 2 * speed + "ms\" values=\"6;22\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            <animate attributeName=\"stroke-opacity\" begin=\"" + 2 * speed + "ms\" dur=\"" + 2 * speed + "ms\" values=\"1;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n            <animate attributeName=\"stroke-width\" begin=\"" + 2 * speed + "ms\" dur=\"" + 2 * speed + "ms\" values=\"2;0\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        </circle>\n        <circle cx=\"22\" cy=\"22\" r=\"8\">\n            <animate attributeName=\"r\" begin=\"0s\" dur=\"" + speed + "ms\" values=\"6;1;2;3;4;5;6\" calcMode=\"linear\" repeatCount=\"indefinite\" />\n        </circle>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ripple = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 44 44\" \n    xmlns=\"http://www.w3.org/2000/svg\" stroke=\"" + color + "\" opacity=\"" + opacity + "\">\n    <g fill=\"none\" fill-rule=\"evenodd\" stroke-width=\"2\">\n        <circle cx=\"22\" cy=\"22\" r=\"1\">\n            <animate attributeName=\"r\" begin=\"0s\" dur=\"" + 1.8 * speed + "ms\" values=\"1; 20\" calcMode=\"spline\" keyTimes=\"0; 1\" keySplines=\"0.165, 0.84, 0.44, 1\" repeatCount=\"indefinite\" />\n            <animate attributeName=\"stroke-opacity\" begin=\"0s\" dur=\"" + 1.8 * speed + "ms\" values=\"1; 0\" calcMode=\"spline\" keyTimes=\"0; 1\" keySplines=\"0.3, 0.61, 0.355, 1\" repeatCount=\"indefinite\" />\n        </circle>\n        <circle cx=\"22\" cy=\"22\" r=\"1\">\n            <animate attributeName=\"r\" begin=\"-" + 0.9 * speed + "ms\" dur=\"" + 1.8 * speed + "ms\" values=\"1; 20\" calcMode=\"spline\" keyTimes=\"0; 1\" keySplines=\"0.165, 0.84, 0.44, 1\" repeatCount=\"indefinite\" />\n            <animate attributeName=\"stroke-opacity\" begin=\"-" + 0.9 * speed + "ms\" dur=\"" + 1.8 * speed + "ms\" values=\"1; 0\" calcMode=\"spline\" keyTimes=\"0; 1\" keySplines=\"0.3, 0.61, 0.355, 1\" repeatCount=\"indefinite\" />\n        </circle>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var rollingShort = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M75.4 126.63a11.43 11.43 0 0 1-2.1-22.65 40.9 40.9 0 0 0 30.5-30.6 11.4 11.4 0 1 1 22.27 4.87h.02a63.77 63.77 0 0 1-47.8 48.05v-.02a11.38 11.38 0 0 1-2.93.37z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"360 64 64\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var rolling = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-rolling\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <circle cx=\"50\" cy=\"50\" fill=\"none\" ng-attr-stroke=\"{{config.color}}\" ng-attr-stroke-width=\"{{config.width}}\" ng-attr-r=\"{{config.radius}}\" ng-attr-stroke-dasharray=\"{{config.dasharray}}\" stroke=\"" + color + "\" stroke-width=\"10\" r=\"35\" stroke-dasharray=\"164.93361431346415 56.97787143782138\" transform=\"rotate(281.902 50 50)\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 50;360 50 50\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var segments = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M78.75 16.18V1.56a64.1 64.1 0 0 1 47.7 47.7H111.8a49.98 49.98 0 0 0-33.07-33.08zM16.43 49.25H1.8a64.1 64.1 0 0 1 47.7-47.7V16.2a49.98 49.98 0 0 0-33.07 33.07zm33.07 62.32v14.62A64.1 64.1 0 0 1 1.8 78.5h14.63a49.98 49.98 0 0 0 33.07 33.07zm62.32-33.07h14.62a64.1 64.1 0 0 1-47.7 47.7v-14.63a49.98 49.98 0 0 0 33.08-33.07z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"-90 64 64\" dur=\"" + 0.5 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var snakeChasing = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M10.96 28.9C12.46 26.14 28.4.5 63.76.24c37.1-.26 53.48 29.12 54.03 30.38 2.44 5.63 1.4 12.86-3.77 15.44-5.93 2.96-12.13 1.18-15.44-3.5-6.83-9.6-7.58-21.7-25.15-28.87-38.08-15.57-64.03 18-62.5 15.2zM117 99.06c-1.48 2.74-17.42 28.4-52.78 28.63-37.1.25-53.5-29.1-54.04-30.4-2.48-5.6-1.43-12.82 3.72-15.4 5.94-2.96 12.15-1.17 15.45 3.5 6.84 9.62 7.58 21.7 25.16 28.88 38.1 15.54 64.06-18 62.5-15.2z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"180 64 64\" dur=\"" + 0.5 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var snakeFull = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" d=\"M64.4 16a49 49 0 0 0-50 48 51 51 0 0 0 50 52.2 53 53 0 0 0 54-52c-.7-48-45-55.7-45-55.7s45.3 3.8 49 55.6c.8 32-24.8 59.5-58 60.2-33 .8-61.4-25.7-62-60C1.3 29.8 28.8.6 64.3 0c0 0 8.5 0 8.7 8.4 0 8-8.6 7.6-8.6 7.6z\">\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"360 64 64\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </path>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var snakeSolid = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" d=\"M26.9 65.08c3.87 21.1 21.26 37 42.13 37 23.72 0 41.6-20.58 42.95-45.88 1-18.84-9.45-37.5-32.57-47.88A52.2 52.2 0 0 0 47.08 5c22.23-6.02 41.53.02 54.6 10.66 8.2 6.46 16.12 15.33 19.32 24.4a67.13 67.13 0 0 1 3.77 19.85c0 34.4-26.87 62.3-61.26 62.3A62.27 62.27 0 0 1 2.05 70.1c.57-15.82 19.83-18.23 24.83-5.02z\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 64 64\" to=\"360 64 64\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var tailSpin = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg viewBox=\"0 0 38 38\" \n    xmlns=\"http://www.w3.org/2000/svg\" opacity=\"" + opacity + "\">\n    <defs>\n        <linearGradient x1=\"8.042%\" y1=\"0%\" x2=\"65.682%\" y2=\"23.865%\" id=\"a\">\n            <stop stop-color=\"" + color + "\" stop-opacity=\"0\" offset=\"0%\"/>\n            <stop stop-color=\"" + color + "\" stop-opacity=\".631\" offset=\"63.146%\"/>\n            <stop stop-color=\"" + color + "\" offset=\"100%\"/>\n        </linearGradient>\n    </defs>\n    <g fill=\"none\" fill-rule=\"evenodd\">\n        <g transform=\"translate(1 1)\">\n            <path d=\"M36 18c0-9.94-8.06-18-18-18\" id=\"Oval-2\" stroke=\"url(#a)\" stroke-width=\"2\">\n                <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 18 18\" to=\"360 18 18\" dur=\"" + 0.8 * speed + "ms\" repeatCount=\"indefinite\" />\n            </path>\n            <circle fill=\"" + color + "\" cx=\"36\" cy=\"18\" r=\"1\">\n                <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"0 18 18\" to=\"360 18 18\" dur=\"" + 0.8 * speed + "ms\" repeatCount=\"indefinite\" />\n            </circle>\n        </g>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var triangleSpinTriple = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 100 100\" preserveAspectRatio=\"xMidYMid\" class=\"lds-triangles\" style=\"background: none;\" opacity=\"" + opacity + "\">\n    <g transform=\"translate(50,42)\">\n        <g transform=\"scale(0.8)\">\n            <g transform=\"translate(-50,-50)\">\n                <polygon ng-attr-fill=\"{{config.c1}}\" points=\"72.5,50 50,11 27.5,50 50,50\" fill=\"" + color + "\" transform=\"rotate(101.91 50 38.5)\">\n                    <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 50 38.5;360 50 38.5\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n                </polygon>\n                <polygon ng-attr-fill=\"{{config.c2}}\" points=\"5,89 50,89 27.5,50\" fill=\"" + color + "\" transform=\"rotate(101.91 27.5 77.5)\">\n                    <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 27.5 77.5;360 27.5 77.5\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n                </polygon>\n                <polygon ng-attr-fill=\"{{config.c3}}\" points=\"72.5,50 50,89 95,89\" fill=\"" + color + "\" transform=\"rotate(101.91 72.3585 77.5)\">\n                    <animateTransform attributeName=\"transform\" type=\"rotate\" calcMode=\"linear\" values=\"0 72.5 77.5;360 72 77.5\" keyTimes=\"0;1\" dur=\"" + speed + "ms\" begin=\"0s\" repeatCount=\"indefinite\"></animateTransform>\n                </polygon>\n            </g>\n        </g>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var twirl = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 128\" xml:space=\"preserve\">\n    <g>\n        <path d=\"M26.43 44.95a45.68 45.68 0 0 0 18.6 36.82h-.3a36.83 36.83 0 1 1 0-73.65h.3a45.68 45.68 0 0 0-18.6 36.83zm44-22.55a45.68 45.68 0 0 0-29.28 29.07l-.1-.28a36.83 36.83 0 0 1 70.05-22.8l.1.3a45.68 45.68 0 0 0-40.77-6.32zm35.27 34.9A45.68 45.68 0 0 0 69 38.45c.1-.06.17-.13.25-.2a36.83 36.83 0 1 1 43.3 59.6c-.08.07-.17.12-.25.18a45.68 45.68 0 0 0-6.6-40.73zm-22.57 44.3a45.68 45.68 0 0 0 6.6-40.72c.08.05.16.1.24.17a36.83 36.83 0 0 1-43.3 59.6l-.24-.2a45.68 45.68 0 0 0 36.7-18.85zm-48.8-7.86a45.68 45.68 0 0 0 40.77-6.3l-.1.28A36.83 36.83 0 1 1 4.96 64.95l.1-.28a45.68 45.68 0 0 0 29.28 29.07z\" fill=\"" + color + "\" fill-opacity=\"" + opacity + "\"/>\n        <animateTransform attributeName=\"transform\" type=\"rotate\" from=\"72 64 64\" to=\"0 64 64\" dur=\"" + 0.5 * speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </g>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var typing = ( /**
     * @param {?} color
     * @param {?} speed
     * @param {?} opacity
     * @return {?}
     */function (color, speed, opacity) { return "<svg xmlns:svg=\"http://www.w3.org/2000/svg\" \n    xmlns=\"http://www.w3.org/2000/svg\" \n    xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.0\" viewBox=\"0 0 128 32\" xml:space=\"preserve\">\n    <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"0\" cy=\"0\" r=\"11\" transform=\"translate(16 16)\">\n        <animateTransform attributeName=\"transform\" type=\"scale\" additive=\"sum\" values=\"1;1.42;1;1;1;1;1;1;1;1\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n    <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"0\" cy=\"0\" r=\"11\" transform=\"translate(64 16)\">\n        <animateTransform attributeName=\"transform\" type=\"scale\" additive=\"sum\" values=\"1;1;1;1;1.42;1;1;1;1;1\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n    <circle fill=\"" + color + "\" fill-opacity=\"" + opacity + "\" cx=\"0\" cy=\"0\" r=\"11\" transform=\"translate(112 16)\">\n        <animateTransform attributeName=\"transform\" type=\"scale\" additive=\"sum\" values=\"1;1;1;1;1;1;1;1.42;1;1\" dur=\"" + speed + "ms\" repeatCount=\"indefinite\"></animateTransform>\n    </circle>\n</svg>"; });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var loaders = {
        'ball-bounce': ballBounce,
        'ball-ellipsis': ballEllipsis,
        'ball-fading-shrink': ballFadingShrink,
        'ball-fading': ballFading,
        'ball-fountain-fading': ballFountainFading,
        'ball-fountain': ballFountain,
        'ball-interwind': ballInterwind,
        'ball-line': ballLine,
        'ball-mini': ballMini,
        'ball-planets': ballPlanets,
        'ball-spinner-double': ballSpinnerDouble,
        'ball-spinner': ballSpinner,
        'ball-triangle': ballTriangle,
        'bars-music': barsMusic,
        'bars-trespassing': barsTrespassing,
        'bars': bars,
        'circles-spinner': circlesSpinner,
        'circles': circles,
        'clock': clock,
        'dots-triple': dotsTriple,
        'drops-fading': dropsFading,
        'eclipse': eclipse,
        'flickr': flickr,
        'gear': gear,
        'grid': grid,
        'oval': oval,
        'pendulum': pendulum,
        'ring-broken': ringBroken,
        'ring-double': ringDouble,
        'ring-dual': ringDual,
        'ripple-inbound': rippleInbound,
        'ripple': ripple,
        'rolling-short': rollingShort,
        'rolling': rolling,
        'segments': segments,
        'snake-chasing': snakeChasing,
        'snake-full': snakeFull,
        'snake-solid': snakeSolid,
        'tail-spin': tailSpin,
        'triangle-spin-triple': triangleSpinTriple,
        'twirl': twirl,
        'typing': typing
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NGX_INPUT_LOADER_CONFIG = new core.InjectionToken('NGX_INPUT_LOADER_CONFIG');

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgxInputLoaderDirective = /** @class */ (function () {
        function NgxInputLoaderDirective(el, sanitizer, configModule) {
            this.el = el;
            this.sanitizer = sanitizer;
            this.inserted = false;
            /**
             * |--------------------------------------------------
             * | DEFAULT CONFIGURATION
             * |--------------------------------------------------
             */
            this.config = {
                loader: 'rolling',
                background: '#fff',
                position: 'right',
                color: '#000',
                padding: '10px',
                height: 1,
                opacity: 1,
                speed: 1000,
                padButton: false
            };
            /**
            |--------------------------------------------------
            | MODULE CONFIGURATION WITH ForRoot OBJECT
            |--------------------------------------------------
            */
            this.setConfiguration(configModule);
            this.element = this.el.nativeElement;
            this.initialBackground = this.element.style.background;
            this.initialPaddingRight = this.element.style.paddingRight;
            this.initialPaddingLeft = this.element.style.paddingLeft;
        }
        /**
         * @param {?} changes
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                this.setLoader();
            };
        /**
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                this.setLoader();
            };
        /**
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.setLoader = /**
         * @return {?}
         */
            function () {
                /**
                |--------------------------------------------------
                | ELEMENT CONFIGURATION WITH ngxInputLoaderConfig INPUT BINDING OBJECT
                |--------------------------------------------------
                */
                this.setConfiguration(this.configElement);
                if (!this.inserted && this.ngxInputLoader) {
                    /** @type {?} */
                    var loader = this.getLoader();
                    this.background = this.sanitizer.bypassSecurityTrustStyle(loader);
                    if (this.config.padButton)
                        this.padSubmitButton();
                    this.inserted = true;
                }
                else if (this.inserted && !this.ngxInputLoader) {
                    this.background = this.initialBackground ? this.sanitizer.bypassSecurityTrustStyle(this.initialBackground) : null;
                    if (this.config.padButton)
                        this.unpadSubmitButton();
                    this.inserted = false;
                }
            };
        /**
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.getLoader = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var svg = loaders[this.config.loader](this.config.color, this.config.speed, this.config.opacity);
                /** @type {?} */
                var encodedSVG = btoa(svg);
                /** @type {?} */
                var height = this.element.offsetHeight;
                /** @type {?} */
                var loader = "url(\"data:image/svg+xml;base64," + encodedSVG + "\") no-repeat ";
                loader += this.config.position + " ";
                loader += (this.config.position !== 'center' ? this.config.padding : '') + " center / ";
                loader += this.config.height * height * 0.8 + "px";
                if (this.config.background) {
                    loader += ", " + this.config.background;
                }
                else if (this.initialBackground) {
                    loader += ", " + this.initialBackground;
                }
                return loader;
            };
        /**
         * @param {?} config
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.setConfiguration = /**
         * @param {?} config
         * @return {?}
         */
            function (config) {
                var _this = this;
                if (config) {
                    Object.keys(config).forEach(( /**
                     * @param {?} key
                     * @return {?}
                     */function (key) { return _this.config[key] = config[key]; }));
                }
            };
        /**
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.padSubmitButton = /**
         * @return {?}
         */
            function () {
                if (this.element.type === 'submit' || this.element.type === 'button' || this.element.localName === 'button') {
                    /** @type {?} */
                    var height = this.element.offsetHeight;
                    if (this.config.position === 'right') {
                        this.paddingRight = this.sanitizer.bypassSecurityTrustStyle(this.initialPaddingRight + height * 1.2 + "px");
                    }
                    else if (this.config.position === 'left') {
                        this.paddingLeft = this.sanitizer.bypassSecurityTrustStyle(this.initialPaddingLeft + height * 1.2 + "px");
                    }
                }
            };
        /**
         * @return {?}
         */
        NgxInputLoaderDirective.prototype.unpadSubmitButton = /**
         * @return {?}
         */
            function () {
                if (this.config.position === 'right') {
                    this.paddingRight = this.initialPaddingRight;
                }
                else if (this.config.position === 'left') {
                    this.paddingLeft = this.initialPaddingLeft;
                }
            };
        NgxInputLoaderDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[ngxInputLoader]'
                    },] }
        ];
        /** @nocollapse */
        NgxInputLoaderDirective.ctorParameters = function () {
            return [
                { type: core.ElementRef },
                { type: platformBrowser.DomSanitizer },
                { type: undefined, decorators: [{ type: core.Inject, args: [NGX_INPUT_LOADER_CONFIG,] }] }
            ];
        };
        NgxInputLoaderDirective.propDecorators = {
            ngxInputLoader: [{ type: core.Input }],
            configElement: [{ type: core.Input, args: ['ngxInputLoaderConfig',] }],
            background: [{ type: core.HostBinding, args: ['style.background',] }],
            paddingRight: [{ type: core.HostBinding, args: ['style.padding-right',] }],
            paddingLeft: [{ type: core.HostBinding, args: ['style.padding-left',] }]
        };
        return NgxInputLoaderDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ɵ0 = {};
    var NgxInputLoaderModule = /** @class */ (function () {
        function NgxInputLoaderModule() {
        }
        /**
         * @param {?=} config
         * @return {?}
         */
        NgxInputLoaderModule.forRoot = /**
         * @param {?=} config
         * @return {?}
         */
            function (config) {
                return {
                    ngModule: NgxInputLoaderModule,
                    providers: [
                        {
                            provide: NGX_INPUT_LOADER_CONFIG,
                            useValue: config
                        }
                    ]
                };
            };
        NgxInputLoaderModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [NgxInputLoaderDirective],
                        imports: [],
                        exports: [NgxInputLoaderDirective],
                        providers: [
                            {
                                provide: NGX_INPUT_LOADER_CONFIG,
                                useValue: ɵ0
                            }
                        ]
                    },] }
        ];
        return NgxInputLoaderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.NgxInputLoaderDirective = NgxInputLoaderDirective;
    exports.NgxInputLoaderModule = NgxInputLoaderModule;
    exports.ɵb = NGX_INPUT_LOADER_CONFIG;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=ngx-input-loader.umd.js.map